#include "HsFFI.h"
#ifdef __cplusplus
extern "C" {
#endif
extern void SystemziConsoleziReadline_d2k4(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2, HsInt32 a3);
extern HsInt32 SystemziConsoleziReadline_d2kv(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1);
extern HsInt32 SystemziConsoleziReadline_d2kE(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1);
extern HsInt32 SystemziConsoleziReadline_d2kN(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2);
extern HsPtr SystemziConsoleziReadline_d2kW(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2);
extern HsPtr SystemziConsoleziReadline_d2lm(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2, HsPtr a3);
extern HsPtr SystemziConsoleziReadline_d2lv(StgStablePtr the_stableptr, void* original_return_addr);
extern HsPtr SystemziConsoleziReadline_d2lE(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2, HsInt32 a3);
extern HsPtr SystemziConsoleziReadline_d2lN(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1, HsInt32 a2);
extern void SystemziConsoleziReadline_d2nQ(StgStablePtr the_stableptr, void* original_return_addr, HsPtr a1);
extern HsInt32 SystemziConsoleziReadline_d2r2(StgStablePtr the_stableptr, void* original_return_addr, HsInt32 a1, HsInt32 a2);
extern void SystemziConsoleziReadline_d2ui(StgStablePtr the_stableptr, void* original_return_addr);
extern HsInt32 SystemziConsoleziReadline_d2ur(StgStablePtr the_stableptr, void* original_return_addr);
#ifdef __cplusplus
}
#endif

